@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Young+Serif&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Poppins", serif;
}

header {
  max-width: 1440px;
  margin-inline: auto;
  padding-block: 30px;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
}
header nav {
  display: flex;
  align-items: center;
  gap: 75px;
}
header nav a {
  text-decoration: none;
  color: #000000;
  font-weight: 500;
  transition: all 0.3s ease-in-out;
  position: relative;
  display: inline-block;
  padding-bottom: 3px;
  z-index: 1;
}
header nav a::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: 0;
  width: 0;
  height: 3px;
  z-index: -1;
  transition: all 0.3s ease-in-out;
  background-color: #333;
  transform: translateX(-50%);
}
header nav a:hover::after {
  width: 100%;
}
header nav .header-navbar_icons {
  align-items: center;
  gap: 45px;
  display: none;
}
header nav .header-navbar_icons a {
  font-size: 0;
}
header div {
  display: flex;
  align-items: center;
  gap: 45px;
}
header div a {
  font-size: 0;
}
header button {
  background-color: transparent;
  border: 0;
}
header .fas {
  display: none;
  position: absolute;
  right: 20px;
  top: 33px;
  color: #B88E2F;
  font-size: 30px;
}

@media (max-width: 992px) {
  header {
    justify-content: start;
    padding-inline: 10px;
  }
  .header-navbar {
    flex-direction: column;
    gap: 20px;
    position: fixed;
    right: -100%;
    background-color: #FFF3E3;
    align-items: center;
    display: none;
    width: 37%;
    height: 69%;
    z-index: 100;
    justify-content: center;
    top: 0;
    transition: right 0.5s ease-in;
  }
  .header-navbar.open {
    right: 0;
    display: flex;
  }
  .fas {
    display: block !important;
  }
  .header-icons {
    display: none;
  }
  .header-navbar_icons {
    display: flex !important;
    flex-wrap: wrap;
    justify-content: center;
  }
}
@media (max-width: 768px) {
  .header-navbar {
    width: 60%;
  }
}
.slider {
  position: relative;
  width: 1440px;
  max-width: 100%;
  margin-inline: auto;
  overflow: hidden;
}

.slider-wrapper {
  display: flex;
  transition: transform 0.5s ease-in-out;
}

.slide {
  min-width: 100%;
  transition: opacity 0.5s ease-in-out;
  object-fit: cover;
}

.slide img {
  width: 100%;
  height: 500px;
  display: block;
}

.slider-button {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: #FFF3E3;
  color: #000;
  border: none;
  font-size: 2rem;
  cursor: pointer;
  padding: 10px;
  border-radius: 50%;
  z-index: 10;
}

.slider-button:hover {
  background: #fff;
}

.prev {
  left: 10px;
}

.next {
  right: 10px;
}

.features-container {
  max-width: 1183px;
  margin-block: 56px;
  margin-inline: auto;
  display: flex;
  flex-direction: column;
  gap: 62px;
  align-items: center;
}
.features-container .features-content {
  max-width: 559px;
  text-align: center;
}
.features-container .features-content h2 {
  font-size: 32px;
  color: #333;
  font-weight: bold;
}
.features-container .features-content p {
  font-size: 20px;
  color: #666;
}
.features-container .features__snapShots {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  justify-content: center;
}
.features-container .features__snapShots .features__card {
  max-width: 381px;
  text-align: center;
}
.features-container .features__snapShots .features__card .features__snapShots-image {
  max-width: 381px;
  height: 480px;
  overflow: hidden;
  margin-bottom: 30px;
  border-radius: 10px;
}
.features-container .features__snapShots .features__card .features__snapShots-image img {
  width: 100%;
  object-fit: cover;
  cursor: pointer;
  transition: all 0.3s ease-in;
  border-radius: 10px;
}
.features-container .features__snapShots .features__card .features__snapShots-image img:hover {
  transform: scale(1.1);
}
.features-container .features__snapShots .features__card p {
  font-size: 24px;
  font-weight: 600;
  color: #333;
}

@media (max-width: 992px) {
  .features-container {
    padding-inline: 20px;
  }
}
.cards-content {
  max-width: 1236px;
  margin-block: 70px;
  margin-inline: auto;
  display: flex;
  flex-direction: column;
  gap: 32px;
  align-items: center;
  justify-content: center;
}
.cards-content h3 {
  font-size: 40px;
  font-weight: bold;
  color: #3A3A3A;
}
.cards-content .card-cta {
  text-decoration: none;
  color: #B88E2F;
  font-weight: 600;
  padding: 12px 74px;
  border: 1px solid currentColor;
  transition: all 0.3s ease-in;
}
.cards-content .card-cta:hover {
  background-color: #B88E2F;
  color: #ccc;
}
.cards-content .cards-section__cards {
  display: flex;
  gap: 32px;
  flex-wrap: wrap;
  justify-content: center;
}
.cards-content .cards-section__cards .card {
  max-width: 285px;
  overflow: hidden;
  cursor: pointer;
  transition: all 0.3s ease-in;
  position: relative;
}
.cards-content .cards-section__cards .card:hover {
  transform: translateY(-10px);
}
.cards-content .cards-section__cards .card .discount {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  background-color: rgb(245, 113, 113);
  color: #fff;
  position: absolute;
  right: 10px;
  top: 10px;
  padding-block: 12px;
  text-align: center;
}
.cards-content .cards-section__cards .card .new-item {
  background-color: #2EC1AC;
}
.cards-content .cards-section__cards .card .card-image {
  height: 301px;
}
.cards-content .cards-section__cards .card .card-text {
  background: #F4F5F7;
  padding: 16px;
}
.cards-content .cards-section__cards .card .card-text h3 {
  font-size: 24px;
  font-weight: 600;
  color: #3A3A3A;
}
.cards-content .cards-section__cards .card .card-text p {
  color: #898989;
}
.cards-content .cards-section__cards .card .card-text .card-text__price {
  display: flex;
  justify-content: space-between;
}
.cards-content .cards-section__cards .card .card-text .card-text__price p {
  color: #3A3A3A;
  font-weight: bold;
}
.cards-content .cards-section__cards .card .card-text .card-text__price .card-text__price-info {
  color: #898989;
  text-decoration: line-through;
  font-weight: normal;
}

.card_btn {
  border: none;
  color: #B88E2F;
  padding: 12px 30px;
  background-color: #F4F5F7;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  cursor: pointer;
  display: none;
}
.card_btn:active {
  background-color: #B88E2F;
  color: #1a1c1a;
}

.card:hover .card_btn {
  display: block;
}

#cart {
  position: fixed;
  top: 17%;
  right: -100%;
  width: 320px;
  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 16px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  z-index: 1000;
  transition: right 0.4s ease-in-out;
  font-family: Arial, sans-serif;
}

#cart.show {
  right: 20px;
}

#cart h3 {
  font-size: clamp(1.5rem, 2.5vw, 2rem);
  color: #333;
  margin: 0;
  text-align: center;
  margin-bottom: 16px;
}

#cart .btn-close,
#cart button#closeCart {
  background: transparent;
  border: none;
  font-size: 1.5rem;
  cursor: pointer;
  color: #999;
  position: absolute;
  top: 10px;
  right: 10px;
  transition: color 0.3s;
}

#cart .btn-close:hover,
#cart button#closeCart:hover {
  color: #333;
}

#cartItems {
  list-style: none;
  padding: 0;
  margin: 0;
  max-height: 300px;
  overflow-y: auto;
}

#cartItems li {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 8px 0;
  border-bottom: 1px solid #f0f0f0;
}

#cartItems li:last-child {
  border-bottom: none;
}

#cartItems li button {
  background: transparent;
  border: none;
  font-size: 1.2rem;
  cursor: pointer;
  color: #d9534f;
  transition: color 0.3s;
}

#cartItems li button:hover {
  color: #c9302c;
}

#cart p {
  font-size: 1.2rem;
  color: #333;
  font-weight: bold;
  margin-top: 16px;
  text-align: center;
  margin-bottom: 40px;
}

#cart button:focus {
  outline: 2px solid #ccc;
}

@media (max-width: 768px) {
  #cart {
    width: 90%;
    max-width: 320px;
  }
}
.btn-confirm {
  background-color: #B88E2F;
  border: none;
  border-radius: 4px;
  color: #fff;
  font-size: 1rem;
  padding: 10px 16px;
  margin-left: 30%;
  cursor: pointer;
  transition: background-color 0.3s ease;
  margin-top: 40px;
  text-decoration: none;
}

.btn-confirm:hover {
  background-color: #1a1c1a;
}

.login-container {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: white;
  padding: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  border-radius: 8px;
  width: 300px;
  z-index: 1000;
}

.close-btn:hover {
  color: #ff0000;
}

.login-container h2 {
  text-align: center;
}

.login-container label {
  display: block;
  margin: 10px 0 5px;
}

.login-container input {
  width: 100%;
  padding: 8px;
  margin-bottom: 15px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.login-container #login-btn {
  width: 100%;
  padding: 10px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.login-container #login-btn:hover {
  background-color: #0056b3;
}

.hidden {
  display: none;
}

.close-btn {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 30px;
  background: none;
  border: none;
  color: #333;
  cursor: pointer;
  width: 20%;
}

.search-container {
  display: none;
  position: absolute;
  top: 100px;
  left: 30%;
  width: 50%;
  background-color: white;
  padding: 10px;
  border-radius: 5px;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
  z-index: 1000;
}

#searchInput {
  width: 100%;
  padding: 8px;
  margin-top: 40px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.search-results {
  max-height: 200px;
  overflow-y: auto;
}

.search-result-item {
  padding: 8px;
  border-bottom: 1px solid #eee;
}

.search-result-item h3 {
  margin: 0;
  font-size: 16px;
}

.search-result-item p {
  margin: 5px 0 0;
  font-size: 14px;
}

.close-search {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 25px;
  cursor: pointer;
  color: #aaa;
}

.close-search:hover {
  color: #f00;
}

.card.highlight {
  border: 2px solid rgb(87, 87, 87);
  box-shadow: 0 0 10px rgba(218, 218, 218, 0.5);
}

.product-feature__content {
  max-width: 1440px;
  margin-inline: auto;
  padding-block: 105px 56px;
  background-color: #FAF3EA;
  display: flex;
  gap: 55px;
  justify-content: space-evenly;
  justify-content: center;
}
.product-feature__content .product-features {
  display: flex;
  gap: 13px;
  align-items: center;
}
.product-feature__content .product-features .product-features__txt h5 {
  color: #242424;
  font-size: 25px;
  margin-bottom: 2px;
}
.product-feature__content .product-features .product-features__txt p {
  color: #898989;
  font-size: 16px;
}

@media (max-width: 1200px) {
  .product-feature__content {
    flex-wrap: wrap;
  }
}
@media (max-width: 768px) {
  .product-feature__content {
    display: none;
  }
}
.footer-content {
  max-width: 1240px;
  margin-block: 28px;
  margin-inline: auto;
  display: flex;
  justify-content: space-evenly;
  border-top: 2px solid #9F9F9F;
  border-bottom: 2px solid #9F9F9F;
  padding-block: 50px;
  flex-wrap: wrap;
}
.footer-content .footer-nav {
  display: flex;
  flex-direction: column;
  gap: 30px;
}
.footer-content .footer-nav h3 {
  font-weight: bold;
  font-size: 24px;
}
.footer-content .footer-nav p {
  color: #9F9F9F;
}
.footer-content .footer-nav a {
  text-decoration: none;
  color: #000;
}
.footer-content .footer-nav a:hover {
  color: #B88E2F;
}

.shop-content {
  max-width: 1440px;
  margin-inline: auto;
  position: relative;
  overflow: hidden;
}
.shop-content .shop-text {
  display: flex;
  flex-direction: column;
  gap: 10px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.shop-content .shop-text h4 {
  font-size: 48px;
  font-weight: 500;
}
.shop-content .shop-text .shop-cta {
  display: flex;
  align-items: center;
  gap: 5px;
  justify-content: center;
}
.shop-content .shop-text .shop-cta a {
  text-decoration: none;
  color: #000;
  font-weight: 500;
}
.shop-content .shop-text .shop-cta .icon-cta {
  font-size: 0;
}

.contact-content {
  max-width: 1058px;
  margin-block: 80px;
  margin-inline: auto;
  display: flex;
  flex-direction: column;
  gap: 14px;
  padding-inline: 15px;
  justify-content: center;
}
.contact-content .contact-content__text {
  max-width: 644px;
  text-align: center;
  margin-inline: auto;
}
.contact-content .contact-content__text h4 {
  font-size: 36px;
  font-weight: 600;
}
.contact-content .contact-content__text p {
  color: #9F9F9F;
}
.contact-content form {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.contact-content form input, .contact-content form textarea {
  padding: 30px 15px;
  border: 1px solid currentColor;
  color: #9F9F9F;
  border-radius: 5px;
}
.contact-content form button {
  padding: 13px 88px;
  background-color: #B88E2F;
  color: #fff;
  border: 0;
  cursor: pointer;
  transition: all 0.3s ease-in;
}
.contact-content form button:hover {
  background-color: black;
}

.details-content {
  max-width: 1440px;
  margin-block: 63px;
  margin-inline: auto;
  display: flex;
  justify-content: space-around;
}
.details-content form {
  max-width: 603px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding-inline: 15px;
}
.details-content form .user-details {
  display: flex;
  gap: 10px;
  align-items: center;
  flex-wrap: wrap;
  justify-content: center;
}
.details-content form .user-details input {
  padding: 15px 12px;
  border-radius: 10px;
  width: 100%;
}
.details-content form input {
  padding: 15px 12px;
  border-radius: 10px;
}
.details-content form select {
  padding: 15px 12px;
}
.details-content form select option {
  background-color: rgb(175, 173, 173);
  padding: 15px 12px;
}

.btn-confirm {
  margin-left: 0;
}

.about-content {
  max-width: 1440px;
  margin-block: 50px;
  margin-inline: auto;
  display: flex;
  flex-direction: column;
  gap: 30px;
  padding-inline: 15px;
}
.about-content .about-detail {
  display: flex;
  align-items: center;
  gap: 10px;
  flex-wrap: wrap;
  justify-content: center;
}
.about-content .about-detail .about-img {
  max-width: 600px;
  object-fit: cover;
}
.about-content .about-detail .about-img img {
  width: 100%;
}
.about-content .about-txt {
  max-width: 700px;
  text-align: center;
}
.about-content .about-txt h4 {
  font-size: 30px;
  margin-bottom: 20px;
}
.about-content .about-txt p {
  font-size: 15px;
  color: #9F9F9F;
}